# Class ObjectActionContributorManager

java.lang.Object
org.eclipse.ui.internal.ObjectContributorManager
org.eclipse.ui.internal.ObjectActionContributorManager

All Implemented Interfaces:
  `IExtensionChangeHandler`

public class ObjectActionContributorManager extends ObjectContributorManager
This manager is used to populate a popup menu manager with actions for a given type.

## Field Summary

### Fields inherited from class ObjectContributorManager

`adaptableLookup, contributorRecordSet, contributors, objectLookup, resourceAdapterLookup`

## Constructor Summary

Constructors
Constructor
Description
`ObjectActionContributorManager()`
PopupMenuManager constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`addExtension(IExtensionTracker tracker, IExtension addedExtension)`
This method is called whenever an extension conforming to the extension point filter is being added to the registry.
`boolean`
`contributeObjectActions(IWorkbenchPart part, IMenuManager popupMenu, ISelectionProvider selProv, Set<IObjectActionContributor> alreadyContributed)`
Contributes submenus and/or actions applicable to the selection in the provided viewer into the provided popup menu.
`static void`
`disposeManager()`
Disposes instance if it was created
`protected String`
`getExtensionPointFilter()`
Return the extension point id (local to org.eclipse.ui) that this manager is associated with.
`static ObjectActionContributorManager`
`getManager()`
Returns the shared instance of this manager.

### Methods inherited from class ObjectContributorManager

`addContributorsFor, computeClassOrder, computeCombinedOrder, computeInterfaceOrder, dispose, flushLookup, getAdaptableContributors, getContributors, getContributors, getContributors, getObjectContributors, getResourceContributors, hasContributorsFor, isApplicableTo, isApplicableTo, registerContributor, removeCommonAdapters, removeExtension, unregisterAllContributors, unregisterContributor, unregisterContributors`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ObjectActionContributorManager

public ObjectActionContributorManager()
PopupMenuManager constructor.

## Method Details

### contributeObjectActions

public boolean contributeObjectActions(IWorkbenchPart part, IMenuManager popupMenu, ISelectionProvider selProv, Set<IObjectActionContributor> alreadyContributed)
Contributes submenus and/or actions applicable to the selection in the provided viewer into the provided popup menu.

Parameters:
  `part` - the part being contributed to
  `popupMenu` - the menu being contributed to
  `selProv` - the selection provider
  `alreadyContributed` - the set of contributors that already contributed to the menu
Returns:
  whether anything was contributed

### getManager

public static ObjectActionContributorManager getManager()
Returns the shared instance of this manager.

Returns:
  the shared instance of this manager

### disposeManager

public static void disposeManager()
Disposes instance if it was created

### addExtension

public void addExtension(IExtensionTracker tracker, IExtension addedExtension)
Description copied from interface: `IExtensionChangeHandler`
This method is called whenever an extension conforming to the extension point filter is being added to the registry. This method does not automatically register objects to the tracker.

Parameters:
  `tracker` - a tracker to which the handler has been registered
  `addedExtension` - the extension being added

### getExtensionPointFilter

protected String getExtensionPointFilter()
Description copied from class: `ObjectContributorManager`
Return the extension point id (local to org.eclipse.ui) that this manager is associated with. Default implementation returns null, which implies no relationship with a particular extension.

Overrides:
  `getExtensionPointFilter` in class `ObjectContributorManager`
Returns:
  the extension point id